Bug 489089 - graphics corruption after resume from suspend
graphics corruption after resume from suspend
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2009-03-07 06:35 EST by Sam Tygier
Modified: 2009-12-18 03:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 03:58:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
corruption (103.52 KB, image/jpeg)
2009-03-07 06:36 EST, Sam Tygier
no flags Details
closeup (294.17 KB, image/jpeg)
2009-03-07 06:37 EST, Sam Tygier
no flags Details
dmesg with corruption (119.47 KB, text/plain)
2009-03-07 06:37 EST, Sam Tygier
no flags Details
Xorg.0.log with corruption (78.02 KB, text/plain)
2009-03-07 06:37 EST, Sam Tygier
no flags Details

  None (edit)
Description Sam Tygier 2009-03-07 06:35:50 EST
Description of problem:
Sometimes after resuming from suspend the graphics on my thinkpad x31 are corrupted. This occurs on ~ 5% of resumes. The system is still usable although you can really see what you are doing. sometimes hibernating will cure the corruption (but often hibernating results in a kernel panic). If i leave it with the corrupted screen it locks up completely after a few minutes.

I will attach some pretty pictures of the corruption.

the corruption is fairly static, but as i move the mouse some bits move and some flicker.

Version-Release number of selected component (if applicable):

but i have seen this in F9 aswell so it has been around for a while.

How reproducible:
Not spotted a pattern yet. i get about once or twice a week (i suspend and resume 2 or 3 times a day)

Steps to Reproduce:
1. suspend laptop (by closing lid, keyboard button or menu)
2. awaken laptop
3. trip out at the crazy graphics
Actual results:
screen corruption

Expected results:
no screen corruption

Additional info:
i can ssh in and get any information you need, but it may take a few days for the bug to occur.
Comment 1 Sam Tygier 2009-03-07 06:36:24 EST
Created attachment 334390 [details]
Comment 2 Sam Tygier 2009-03-07 06:37:00 EST
Created attachment 334391 [details]
Comment 3 Sam Tygier 2009-03-07 06:37:31 EST
Created attachment 334392 [details]
dmesg with corruption
Comment 4 Sam Tygier 2009-03-07 06:37:59 EST
Created attachment 334393 [details]
Xorg.0.log with corruption
Comment 5 Jérôme Glisse 2009-10-13 11:41:09 EDT
Does lastest fedora 12 livecd works any better for you ? https://fedoraproject.org/get-prerelease
Comment 6 Bug Zapper 2009-11-18 06:18:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-12-18 03:58:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.